ErrorException::__construct
Predefined Interfaces and Classes
ErrorException
PHP Manual

# ErrorException::getSeverity

Gets the exception severity

### Description

final public int ErrorException::getSeverity ( void )

Returns the severity of the exception.

### Parameters

This function has no parameters.

### Return Values

Returns the severity level of the exception.

### Examples

Example #1 ErrorException::getSeverity example

`<?php
try {
throw new ErrorException("Exception message", 0, 75);
} catch(ErrorException $e) {
echo "This exception severity is: " . $e->getSeverity();
}
?>`

The above example will output something similar to:

    This exception severity is: 75